
Figure - Bug #114507
测试 Test-ST # 113421 (New): V4.0功能与专项测试

【BSP】【EVT1】【ST】【Tlog】【偶现】单独勾选TCP/QXDM log或其他日志点击start后，会偶现无法通过
点击stop 停止的情况
2022-12-12 16:15 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2022-12-12

Priority: High Due date: 2022-12-19

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202212100313

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Frequently Fixed Version: 2022-12-20

Test Type: ST Root cause: 打包服务的状态不对，导致第一次操作后再次操作可能出现无法停止收集并打包的问题。

Description

【前提条件】

None

【测试步骤】

1、设备烧机后，进入主界面

2、通过*#147#打开tlog，勾选TCP dump和QXDM日志

3、等待几十秒后，点击stop

【预期结果】

正常停止并日志生成

【实际结果】

一直处于Collect ongoing状态，无法停止

History

#1 - 2022-12-12 16:52 - 移动测试一组_CDTS 刘强

- Subject changed from 【BSP】【EVT1】【ST】【Tlog】单独勾选TCP/QXDM log点击start后，无法通过点击stop 停止 to 【BSP】【EVT1】【ST】【Tlog】

【偶现】单独勾选TCP/QXDM log或其他日志点击start后，会偶现无法通过点击stop 停止的情况

- Reproducibility changed from Every time to Frequently

Others info：

在勾选其他logs时也偶现了这个情况，正在复现看能否找到必现步骤

#2 - 2022-12-13 10:34 - CDTS-TEST 周婷

- Target version set to VX1_MCE_FSE_V5.0_20221230

#3 - 2022-12-14 18:40 - CDTS-TEST 周婷

- Category changed from BSP to SYSTEM

#4 - 2022-12-15 16:14 - CD FW-廖涛

- Category changed from SYSTEM to CD-FW

- Status changed from New to ASSIGNED
- Assignee changed from CD SYSTEM-夏旭 to CD FW-廖涛

- Degrated deleted (--)

#5 - 2022-12-15 17:12 - CD FW-廖涛

- Due date set to 2022-12-15

- Status changed from ASSIGNED to RESOLVED

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated set to No

- Fixed Version set to 2022-12-15

■ Current conclusion

已调整打包服务状态同步及相关操作，并对打包过程提示进行优化。

提交：https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/LogSystem/+/170561

■ My analysis

打包服务的状态不对，导致第一次操作后再次操作可能出现无法停止收集并打包的问题。

■ Next action

测试验证

#6 - 2022-12-15 17:40 - CD FW-廖涛

- Status changed from RESOLVED to ASSIGNED

- Fixed Version changed from 2022-12-15 to 2022-12-20

#7 - 2022-12-19 13:29 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

170561 general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:LogSystem: Fix package state is not correct, and could not stop possibly.TC-RID: 1201-0201101IssueID: TS-R-BUG-114507Change-Id:

Ia9f20aa8b2b4ba68a7ad45146564fe42383217c2

#8 - 2022-12-19 13:30 - CD FW-廖涛

- Due date changed from 2022-12-15 to 2022-12-19

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to 移动测试一组_CDTS 刘强

#9 - 2022-12-21 16:09 - CD FW-廖涛

- Root cause set to 打包服务的状态不对，导致第一次操作后再次操作可能出现无法停止收集并打包的问题。

#10 - 2022-12-22 16:06 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0061.X101

验证结果：验证通过
#11 - 2022-12-22 16:06 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

Files

1.txt 3.5 MB 2022-12-12 移动测试一组_CDTS 刘强

中科创达软件股份有限公司20221212-160955.mp4 2.05 MB 2022-12-12 移动测试一组_CDTS 刘强
